Name: stardict-tools
Version: 3.0.1
Release: alt4

Summary: tools for making dictionary files for stardict
Summary(ru_RU.UTF-8): конверторы для преобразования в stardict формат
License: GPL
Group: Development/Other
Url: http://%name.sourceforge.net/
Packager: Egor Vyscrebentsov <evyscr@altlinux.org>

# http://download.sourceforge.net/stardict/%name-%version.tar.bz2
Source: %name-%version.tar
Source2: slovnyktodict.awk
Source3: mueller2stardict.sh
Patch: stardict-tools-2.4.8-alt-pcre.patch
Patch1: stardict-tools-alt-4.0.1-bgl2txt.patch
Patch2: stardict-tools-gcc43.diff
Patch3: stardict-tools-3.0.1-alt-glibc2_10.patch

# Automatically added by buildreq on Mon Apr 18 2011
BuildRequires: gcc-c++ glibc-devel-static libgtk+2-devel libmysqlclient-devel libpcre-devel zlib-devel

%description
This package contains various tools for converting dictionaries in
stardict format:
* tabfile it's recommended converter by author
* oxford2dic is program for converting from oxford format
* dictd2dic is program for converting from dictd format
* directory2dic is program for converting directory with wav
* wquick2dic is program for converting from wquick format
* stardict_dict_update is program to convert dictionaries from old 2.2.1 format to new 2.4.2
* stardict_verify is a program to check installed dictionaries for errors
* dsl2dict is a converter from lingvo dictionaries
* stardict2txt is a converter from plain text file
* slovnyktodict.awk is a converter from slovnyk dictionaries

%description -l ru_RU.UTF-8
Этот пакет содержит ряд конвертеров для преобразования в stardict формат:
* tabfile рекомендуемый автором конвертер
* oxford2dic конвертер из формата oxford
* dictd2dic конвертер из формата dictd
* directory2dic конвертер директорий с wav
* wquick2dic конвертер из формата wquick
* stardict_dict_update конвертер из старого формата 2.2.1 в новый 2.4.2
* stardict_verify проверяет на валидность установленные словари
* dsl2dict конвертер из формата lingvo
* stardict2txt конвертер из текстовых файлов
* slovnyktodict.awk конвертер из формата slovnyk

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p2

%build
%configure
%make_build

%install
%makeinstall_std

install -p src/*2dic %buildroot%_bindir/
install -p src/stardict_dict_update %buildroot%_bindir/
install -p src/mova %buildroot%_bindir/mova2dic

install -p src/stardict_verify %buildroot%_bindir/
install -p src/dsl2dict %buildroot%_bindir/
install -p src/stardict2txt %buildroot%_bindir/
install -p src/tabfile %buildroot%_bindir/

install -p -m755 %SOURCE2 %buildroot%_bindir/
install -p -m755 %SOURCE3 %buildroot%_bindir/

%files
%_bindir/*
%doc AUTHORS ChangeLog README src/example.ifo

%changelog
* Mon Apr 18 2011 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-alt4
- Fixed two bugs in dsl2dict (by evyscr@).
- Updated build dependencies.

* Fri Aug 07 2009 Egor Vyscrebentsov <evyscr@altlinux.org> 3.0.1-alt3
- new packager
- added Packager: tag

* Thu Dec 11 2008 Alex Murygin <murygin@altlinux.ru> 3.0.1-alt2
- added stardict-tools-gcc43.diff patch from archlinux
- added mueller2stardict.sh converter

* Thu Jul 24 2008 Alex Murygin <murygin@altlinux.ru> 3.0.1-alt1
- new version
- added slovnyktodict.awk
- don't pack ncce2stardict.pl and hanzim2dict.py 

* Thu Jul 13 2006 Alex Murygin <murygin@altlinux.ru> 2.4.8-alt1
- moved from stardict package to standalone package
- added new converter 
  tabfile - recommended converter
  dsl2dict - converter from lingvo dictionaries
  ncce2stardict.pl - as an example for making stardict dictionaries with perl help
  stardict2txt - converter from plain text file

